Package com.sun.ts.lib.util.sec.security.provider

# Class PolicyParser.PrincipalEntry

java.lang.Object
com.sun.ts.lib.util.sec.security.provider.PolicyParser.PrincipalEntry

Enclosing class:
  PolicyParser

public static class PolicyParser.PrincipalEntry extends Object
Principal info (class and name) in a grant entry

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `WILDCARD_CLASS`
  `static final String`
  `WILDCARD_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrincipalEntry(String principalClass, String principalName)`
  A PrincipalEntry consists of the `Principal` class and `Principal` name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  Test for equality between the specified object and this object.
  `String`
  `getDisplayClass()`
  `String`
  `getDisplayName()`
  `String`
  `getDisplayName(boolean addQuote)`
  `String`
  `getPrincipalClass()`
  `String`
  `getPrincipalName()`
  `int`
  `hashCode()`
  Return a hashcode for this `PrincipalEntry`.
  `String`
  `toString()`
  `void`
  `write(PrintWriter out)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### WILDCARD_CLASS

    public static final String WILDCARD_CLASS
    See Also:
      - Constant Field Values

  - ### WILDCARD_NAME

    public static final String WILDCARD_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PrincipalEntry

    public PrincipalEntry(String principalClass, String principalName)
    A PrincipalEntry consists of the `Principal` class and `Principal` name.
    Parameters:
      `principalClass` - the `Principal` class.
      `principalName` - the `Principal` name.

- ## Method Details

  - ### getPrincipalClass

    public String getPrincipalClass()

  - ### getPrincipalName

    public String getPrincipalName()

  - ### getDisplayClass

    public String getDisplayClass()

  - ### getDisplayName

    public String getDisplayName()

  - ### getDisplayName

    public String getDisplayName(boolean addQuote)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Test for equality between the specified object and this object. Two PrincipalEntries are equal if their PrincipalClass and PrincipalName values are equal.
    Overrides:
      `equals` in class `Object`
    Parameters:
      `obj` - the object to test for equality with this object.
    Returns:
      true if the objects are equal, false otherwise.

  - ### hashCode

    public int hashCode()
    Return a hashcode for this `PrincipalEntry`.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      a hashcode for this `PrincipalEntry`.

  - ### write

    public void write(PrintWriter out)